Browse Source

Sync with portage [Mon Jul 26 13:36:47 MSK 2021].

tags/2028
root 1 month ago
parent
commit
53fea04cae
100 changed files with 3687 additions and 4759 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-user/Manifest.gz
  3. +0
    -0
      acct-user/dbskkd/Manifest
  4. +13
    -0
      acct-user/dbskkd/dbskkd-0.ebuild
  5. +8
    -0
      acct-user/dbskkd/metadata.xml
  6. +0
    -14
      acct-user/ftp/ftp-0-r2.ebuild
  7. +15
    -0
      acct-user/ftp/ftp-0-r3.ebuild
  8. +0
    -0
      acct-user/h2o/Manifest
  9. +13
    -0
      acct-user/h2o/h2o-0.ebuild
  10. +8
    -0
      acct-user/h2o/metadata.xml
  11. +0
    -0
      acct-user/icecast/Manifest
  12. +13
    -0
      acct-user/icecast/icecast-0.ebuild
  13. +8
    -0
      acct-user/icecast/metadata.xml
  14. +0
    -0
      acct-user/rabbitmq_exporter/Manifest
  15. +8
    -0
      acct-user/rabbitmq_exporter/metadata.xml
  16. +12
    -0
      acct-user/rabbitmq_exporter/rabbitmq_exporter-0.ebuild
  17. +0
    -0
      acct-user/snmp_exporter/Manifest
  18. +8
    -0
      acct-user/snmp_exporter/metadata.xml
  19. +12
    -0
      acct-user/snmp_exporter/snmp_exporter-0.ebuild
  20. BIN
      app-accessibility/Manifest.gz
  21. +0
    -1
      app-accessibility/at-spi2-core/Manifest
  22. +0
    -54
      app-accessibility/at-spi2-core/at-spi2-core-2.40.1.ebuild
  23. +1
    -1
      app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild
  24. BIN
      app-admin/Manifest.gz
  25. +0
    -1
      app-admin/ansible-base/Manifest
  26. +0
    -63
      app-admin/ansible-base/ansible-base-2.11.1.ebuild
  27. +1
    -1
      app-admin/ansible-base/ansible-base-2.11.2.ebuild
  28. +1
    -1
      app-admin/ansible/ansible-4.1.0.ebuild
  29. +1
    -0
      app-admin/awscli/Manifest
  30. +58
    -0
      app-admin/awscli/awscli-1.20.6.ebuild
  31. +125
    -295
      app-admin/helm/Manifest
  32. +0
    -1032
      app-admin/helm/helm-3.3.4.ebuild
  33. +0
    -1171
      app-admin/helm/helm-3.4.1.ebuild
  34. +0
    -1200
      app-admin/helm/helm-3.4.2.ebuild
  35. +1
    -1
      app-admin/helm/helm-3.5.4.ebuild
  36. +1215
    -0
      app-admin/helm/helm-3.6.3.ebuild
  37. +1
    -1
      app-admin/logrotate/logrotate-3.18.1.ebuild
  38. +1
    -0
      app-admin/puppet-agent/Manifest
  39. +74
    -0
      app-admin/puppet-agent/puppet-agent-7.9.0-r2.ebuild
  40. +1
    -0
      app-admin/puppet/Manifest
  41. +132
    -0
      app-admin/puppet/puppet-7.9.0.ebuild
  42. +1
    -0
      app-admin/puppetdb/Manifest
  43. +87
    -0
      app-admin/puppetdb/puppetdb-7.5.0.ebuild
  44. +1
    -0
      app-admin/puppetserver/Manifest
  45. +131
    -0
      app-admin/puppetserver/puppetserver-7.2.1.ebuild
  46. +1
    -1
      app-admin/pwgen/pwgen-2.08.ebuild
  47. +0
    -2
      app-admin/vault/Manifest
  48. +0
    -78
      app-admin/vault/vault-1.5.6.ebuild
  49. +1
    -1
      app-admin/vault/vault-1.5.9.ebuild
  50. BIN
      app-arch/Manifest.gz
  51. +0
    -1
      app-arch/gnome-autoar/Manifest
  52. +0
    -43
      app-arch/gnome-autoar/gnome-autoar-0.3.2.ebuild
  53. +1
    -1
      app-arch/lxqt-archiver/lxqt-archiver-0.4.0.ebuild
  54. +0
    -2
      app-arch/rpm/Manifest
  55. +0
    -14
      app-arch/rpm/files/rpm-4.11.0-autotools.patch
  56. +0
    -34
      app-arch/rpm/files/rpm-4.16.0-libdir.patch
  57. +0
    -31
      app-arch/rpm/files/rpm-4.9.1.2-libdir.patch
  58. +0
    -141
      app-arch/rpm/rpm-4.14.2.1-r1.ebuild
  59. +0
    -153
      app-arch/rpm/rpm-4.16.0.ebuild
  60. +1
    -1
      app-arch/zstd/zstd-1.5.0.ebuild
  61. BIN
      app-crypt/Manifest.gz
  62. +1
    -1
      app-crypt/minisign/minisign-0.9.ebuild
  63. +2
    -2
      app-crypt/stoken/stoken-0.92-r1.ebuild
  64. +1
    -1
      app-crypt/swtpm/swtpm-0.6.0-r1.ebuild
  65. +1
    -1
      app-crypt/tpm2-tss/tpm2-tss-3.1.0.ebuild
  66. +1
    -1
      app-crypt/trousers/trousers-0.3.15.ebuild
  67. BIN
      app-doc/Manifest.gz
  68. +1
    -1
      app-doc/selflinux/selflinux-0.13.0-r1.ebuild
  69. BIN
      app-editors/Manifest.gz
  70. +3
    -0
      app-editors/emacs/Manifest
  71. +356
    -0
      app-editors/emacs/emacs-25.3-r11.ebuild
  72. +376
    -0
      app-editors/emacs/emacs-26.3-r6.ebuild
  73. +446
    -0
      app-editors/emacs/emacs-27.2-r4.ebuild
  74. BIN
      app-emulation/Manifest.gz
  75. +1
    -1
      app-emulation/containerd/containerd-1.4.8.ebuild
  76. +1
    -0
      app-emulation/diskimage-builder/Manifest
  77. +39
    -0
      app-emulation/diskimage-builder/diskimage-builder-3.13.0.ebuild
  78. +2
    -0
      app-emulation/firecracker-bin/Manifest
  79. +79
    -0
      app-emulation/firecracker-bin/firecracker-bin-0.24.5.ebuild
  80. +2
    -2
      app-emulation/lxc-templates/lxc-templates-3.0.4.ebuild
  81. +1
    -1
      app-emulation/lxc/lxc-4.0.10.ebuild
  82. +1
    -1
      app-emulation/runc/runc-1.0.0.ebuild
  83. +0
    -95
      app-emulation/spice/spice-0.14.3.ebuild
  84. +0
    -41
      app-emulation/virtualbox/files/virtualbox-6.1.20-lsilogicsas_crash_fix.patch
  85. BIN
      app-forensics/Manifest.gz
  86. +1
    -0
      app-forensics/zzuf/Manifest
  87. +0
    -29
      app-forensics/zzuf/zzuf-0.15-r1.ebuild
  88. +30
    -0
      app-forensics/zzuf/zzuf-0.15-r2.ebuild
  89. +38
    -0
      app-forensics/zzuf/zzuf-0.15_p20190208.ebuild
  90. BIN
      app-i18n/Manifest.gz
  91. +62
    -0
      app-i18n/dbskkd-cdb/dbskkd-cdb-2.00-r1.ebuild
  92. +0
    -61
      app-i18n/dbskkd-cdb/dbskkd-cdb-2.00.ebuild
  93. +63
    -0
      app-i18n/dbskkd-cdb/dbskkd-cdb-3.00-r1.ebuild
  94. +0
    -61
      app-i18n/dbskkd-cdb/dbskkd-cdb-3.00.ebuild
  95. +1
    -1
      app-i18n/ibus/ibus-1.5.24.ebuild
  96. +30
    -0
      app-i18n/man-pages-it/man-pages-it-5.06-r1.ebuild
  97. +0
    -24
      app-i18n/man-pages-it/man-pages-it-5.06.ebuild
  98. +97
    -0
      app-i18n/man-pages-ja/man-pages-ja-20171215-r1.ebuild
  99. +0
    -96
      app-i18n/man-pages-ja/man-pages-ja-20171215.ebuild
  100. +97
    -0
      app-i18n/man-pages-ja/man-pages-ja-20180315-r1.ebuild

BIN
Manifest.files.gz View File


BIN
acct-user/Manifest.gz View File


+ 0
- 0
acct-user/dbskkd/Manifest View File


+ 13
- 0
acct-user/dbskkd/dbskkd-0.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for app-i18n/dbskkd-cdb"

ACCT_USER_GROUPS=( "dbskkd" )
ACCT_USER_ID="146"

acct-user_add_deps

+ 8
- 0
acct-user/dbskkd/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>cjk@gentoo.org</email>
<name>Cjk</name>
</maintainer>
</pkgmetadata>

+ 0
- 14
acct-user/ftp/ftp-0-r2.ebuild View File

@@ -1,14 +0,0 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="File Transfer Protocol (FTP) server user"

ACCT_USER_GROUPS=( "ftp" )
ACCT_USER_HOME="/var/lib/ftp"
ACCT_USER_ID="21"

acct-user_add_deps

+ 15
- 0
acct-user/ftp/ftp-0-r3.ebuild View File

@@ -0,0 +1,15 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="File Transfer Protocol (FTP) server user"

ACCT_USER_GROUPS=( "ftp" )
ACCT_USER_HOME="/var/lib/ftp"
ACCT_USER_HOME_OWNER="root:ftp"
ACCT_USER_ID="21"

acct-user_add_deps

+ 0
- 0
acct-user/h2o/Manifest View File


+ 13
- 0
acct-user/h2o/h2o-0.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for www-servers/h2o"

ACCT_USER_GROUPS=( "h2o" )
ACCT_USER_ID="141"

acct-user_add_deps

+ 8
- 0
acct-user/h2o/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hattya@gentoo.org</email>
<name>Akinori Hattori</name>
</maintainer>
</pkgmetadata>

+ 0
- 0
acct-user/icecast/Manifest View File


+ 13
- 0
acct-user/icecast/icecast-0.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for net-misc/icecast"

ACCT_USER_GROUPS=( "icecast" )
ACCT_USER_ID="131"

acct-user_add_deps

+ 8
- 0
acct-user/icecast/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>
</maintainer>
</pkgmetadata>

+ 0
- 0
acct-user/rabbitmq_exporter/Manifest View File


+ 8
- 0
acct-user/rabbitmq_exporter/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>williamh@gentoo.org</email>
<name>William Hubbs</name>
</maintainer>
</pkgmetadata>

+ 12
- 0
acct-user/rabbitmq_exporter/rabbitmq_exporter-0.ebuild View File

@@ -0,0 +1,12 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit acct-user

DESCRIPTION="A user for app-metrics/rabbitmq_exporter"

ACCT_USER_ID=107
ACCT_USER_GROUPS=( rabbitmq_exporter )

acct-user_add_deps

+ 0
- 0
acct-user/snmp_exporter/Manifest View File


+ 8
- 0
acct-user/snmp_exporter/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>williamh@gentoo.org</email>
<name>William Hubbs</name>
</maintainer>
</pkgmetadata>

+ 12
- 0
acct-user/snmp_exporter/snmp_exporter-0.ebuild View File

@@ -0,0 +1,12 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit acct-user

DESCRIPTION="A user for app-metrics/snmp_exporter"

ACCT_USER_ID=108
ACCT_USER_GROUPS=( snmp_exporter )

acct-user_add_deps

BIN
app-accessibility/Manifest.gz View File


+ 0
- 1
app-accessibility/at-spi2-core/Manifest View File

@@ -1,3 +1,2 @@
DIST at-spi2-core-2.40.1.tar.xz 197064 BLAKE2B dfa19413e6688678fcc0c0ed76d0fca0d5de5039c9b1e42dc10c9c387c0cbffb3c6a38570f9e74c343fa86310f2c3f6fcf0e311c57d11b5adeac5faf7bdf9630 SHA512 fcb73e78a85db9b982ae10d8c968c7732079832877fa0214c30a04b9e27910448c3f5456b8628ed4a3d4dbd59037c8c206916ad1462ca5c7a44409a702096b14
DIST at-spi2-core-2.40.2.tar.xz 197476 BLAKE2B a3b6f1edb7beace2a54cc651f8bf5d002009a3d2791306f2b0a33c351c68d04e0a1003ab11f215333d498c50d17139b978e7f232df802f6c620bbe31997a8e1c SHA512 854fbba39064ba4b1d9728fc4943e811f0a9557f1096f32d7a6486bcb6c73379ab84c5fb8ce5288bf4dab1d1cd3e0664c492977450d4da503ce4b08abfc75fd9
DIST at-spi2-core-2.40.3.tar.xz 197528 BLAKE2B bc248d57d51cea6ae6dd6c737d85f10599a9c177a3a59f95ffc8f96f74b7da057f75e2b961c281650795ba8d5387a9439b00a0f277731af3d490cc8f34c3ab1a SHA512 85adf3da0a369d7f3481646a495a9c4c3337da3ae6a20ce8c924f8621d3d6ed1d9461bfac0e821dfe86e4ad6b930e4fd65d24c26401cbea644ef4951e5dda5ce

+ 0
- 54
app-accessibility/at-spi2-core/at-spi2-core-2.40.1.ebuild View File

@@ -1,54 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit gnome.org meson-multilib systemd virtualx xdg

DESCRIPTION="D-Bus accessibility specifications and registration daemon"
HOMEPAGE="https://wiki.gnome.org/Accessibility"

LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"

RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
>=dev-libs/glib-2.62:2[${MULTILIB_USEDEP}]
introspection? ( >=dev-libs/gobject-introspection-1.54.0:= )
X? (
x11-libs/libX11[${MULTILIB_USEDEP}]
x11-libs/libXtst[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
)
"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/glib-utils
gtk-doc? (
>=dev-util/gtk-doc-1.25
app-text/docbook-xml-dtd:4.3
)
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"

PATCHES=(
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
"${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
)

multilib_src_configure() {
local emesonargs=(
-Dsystemd_user_dir="$(systemd_get_userunitdir)"
$(meson_native_use_bool gtk-doc docs)
-Dintrospection=$(multilib_native_usex introspection)
-Dx11=$(usex X)
)
meson_src_configure
}

multilib_src_test() {
virtx dbus-run-session meson test -C "${BUILD_DIR}"
}

+ 1
- 1
app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild View File

@@ -12,7 +12,7 @@ LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
REQUIRED_USE="gtk-doc? ( X )"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"

RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]


BIN
app-admin/Manifest.gz View File


+ 0
- 1
app-admin/ansible-base/Manifest View File

@@ -1,5 +1,4 @@
DIST ansible-base-2.10.10.tar.gz 5986488 BLAKE2B 5c793d25ac5a216d05e15f49cd447cbdfb2ef97c2881bca60be5c23e3245262e15304a63431704d8b69fff56594e25517c0e5e1f2641b3eca5ad6a1e76e4d7b3 SHA512 b599b498a20b77cd3346f5b865b5a0436cdd835af250e8cc4ed20d61ac6a4929bf4ceef9a95c6e7b8e825c5f513d33ea32b24661c58e2f1d285db0569d71fc1b
DIST ansible-base-2.10.9.tar.gz 6039597 BLAKE2B de455cc402ae4c5c4acd6b1c3d3f2e16572d4a4e79c5f3e4151ec8b913a3be0cfbcb42e5743fe627b7aba9b0e6b004189960cd5a17ff46166cd033a952d3c560 SHA512 093514230a3f6680ddeda07c24e77c2e793475895f44da6e5dd68335341d6fefe10091a124cf84e18475257a099b39fd2c16e6fc0dae0bbaf2d26e70b09c277a
DIST ansible-core-2.11.1.tar.gz 6148111 BLAKE2B 46b1553542adbebfb0b0756be99a81d20cce2978a59766c65632b40413a851ad3c9de12df67959c0557584c5209ecd4f3c94381ae0a1e6987bd3cfb237de5a85 SHA512 1362754dde0a88ca8f6323d87cc6f4bf5f93b189b8d45fcb435d3fb289c359da128e7688a92107ade2c54828d4c4deb3ded9e01e18d19c503306924aa189a381
DIST ansible-core-2.11.2.tar.gz 7081783 BLAKE2B 64a2e02c4e44e72383bfb291efcde07a85ae553418e27687fbc12acdc45608e9b89e9f64943ad7f98a6de094f61765ac3e89fa84e66ed634e764a5f9581c6bd5 SHA512 8b4a8e329be9375d3226f8b992223198913226527278c14ccec01d8e7c546cca847cf7d2415440be995d236bdd88640c0dd6f740e91ca748de2d1c5b7b52c921
DIST ansible-core-2.11.3.tar.gz 6841255 BLAKE2B fde1143515d04121de79ddb2c14bf326f9efa596c39418b9def1679539dd144551b64dff83c66795e44f48e776dbc60bc456125904bbb64970f8c44e072b5abf SHA512 93a28200dd0ab289cc05add5fbe46a1cfbbd4ba91fc7d7e95ee4060dc4f126bf4bd4affce5e44dac9cf2c12792b2a2a10b97d96b795f5bed579959391b7c4a65

+ 0
- 63
app-admin/ansible-base/ansible-base-2.11.1.ebuild View File

@@ -1,63 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{8..9} )
DISTUTILS_USE_SETUPTOOLS=bdepend

inherit distutils-r1

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"

if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
MY_PN="${PN/-base/-core}"
MY_P="${MY_PN}-${PV}"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
S="${WORKDIR}"/${MY_P}
fi

LICENSE="GPL-3"
SLOT="0"
IUSE="test"
RESTRICT="test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/resolvelib-0.5.3[${PYTHON_USEDEP}]
<dev-python/resolvelib-0.6.0[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

+ 1
- 1
app-admin/ansible-base/ansible-base-2.11.2.ebuild View File

@@ -19,7 +19,7 @@ else
MY_PN="${PN/-base/-core}"
MY_P="${MY_PN}-${PV}"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86 ~x64-macos"
S="${WORKDIR}"/${MY_P}
fi



+ 1
- 1
app-admin/ansible/ansible-4.1.0.ebuild View File

@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86 ~x64-macos"
RESTRICT="test"

RDEPEND=">=app-admin/ansible-base-2.11.1


+ 1
- 0
app-admin/awscli/Manifest View File

@@ -6,3 +6,4 @@ DIST awscli-1.20.2.tar.gz 2029411 BLAKE2B dad47f749af3c1e7bbeb291eb92889c7dc9bdc
DIST awscli-1.20.3.tar.gz 2029411 BLAKE2B 6d8573709072ea3955696de0c65a32610446737a216f6c5dd4ecae4cffcb48ecac531cfc598517c037066d066cf0de01510c0740949450ad3a5925af79bd8c16 SHA512 2324800964de8b1af4ae39dcee15e8fc2bd5e11a239c245590a86fac6574d80b290fb9d967df82d6fdd412cd8b783fd209780e5e58846a16302fa13c6f3b93fb
DIST awscli-1.20.4.tar.gz 2043470 BLAKE2B 58722fe4277a7950665913e8b9ae99de8017cfe8c4974a3524f917533499e830d2eea2ac0994022796b979869468b5f3a767727b4384f78e325e423ed003b1b3 SHA512 3066438ac58eb2afb83ae6fef516e09965ceea1e97897e4f5b5760046f28a2f822b16b90c0a9ee6a58c6cdabbfb2f0ce044caf41396093188290e2a7c1e8c4f3
DIST awscli-1.20.5.tar.gz 2043880 BLAKE2B f4b833baf883479ed63e09de998b41e0e0e88006d4779b0be86396bafdb559cd8b158f30f012045f699b7c374a2e6584534534fd778ac7669016d23b06534080 SHA512 598163c27dce2ee166fd1d27cbca62c14c807118df99951963665a064fb71ba795726ef3ea46cc51bd2a51f256364c66edb88d1cdd8f319b2025c0cecfe9f6ca
DIST awscli-1.20.6.tar.gz 2044686 BLAKE2B 6513afc020855a103c5a4ee2b2aa6fc7355f2ebc445d3a89403045a8111a6beef7b934640de020a43fdd670fd4efb2f02dc907826b6a8f3335f6119267dfba10 SHA512 f53a56ae1aed266a4c6bd9236b15a070feaca804ea5276dbe0ad01e006866a17f2ab965ff086640cf62e002da0033c9091c56de1eb4b89a25cbeed329fd63e08

+ 58
- 0
app-admin/awscli/awscli-1.20.6.ebuild View File

@@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

PYTHON_COMPAT=( python3_{8..10} )

inherit bash-completion-r1 distutils-r1

DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"

# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"

distutils_enable_tests --install nose

PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)

python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}

python_install_all() {
newbashcomp bin/aws_bash_completer aws

insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws

distutils-r1_python_install_all

rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

+ 125
- 295
app-admin/helm/Manifest
File diff suppressed because it is too large
View File


+ 0
- 1032
app-admin/helm/helm-3.3.4.ebuild
File diff suppressed because it is too large
View File


+ 0
- 1171
app-admin/helm/helm-3.4.1.ebuild
File diff suppressed because it is too large
View File


+ 0
- 1200
app-admin/helm/helm-3.4.2.ebuild
File diff suppressed because it is too large
View File


+ 1
- 1
app-admin/helm/helm-3.5.4.ebuild View File

@@ -1073,7 +1073,7 @@ SRC_URI="https://github.com/helm/helm/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"

RESTRICT+=" test"



+ 1215
- 0
app-admin/helm/helm-3.6.3.ebuild
File diff suppressed because it is too large
View File


+ 1
- 1
app-admin/logrotate/logrotate-3.18.1.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 sparc x86"
IUSE="acl +cron selinux"

DEPEND="


+ 1
- 0
app-admin/puppet-agent/Manifest View File

@@ -1,2 +1,3 @@
DIST puppet-agent_6.19.1-1focal_amd64.deb 22221600 BLAKE2B 22b03ef1f86b34955e8bad7c63a2022d2832dadd554316baf75419d6543e8a569902fb92a81a3dcc817401f06aa7dd47143a6cbd383f0e531c465cd3203dc4ed SHA512 4819a3509066516b0be76bc0f2afe94611405f7ac52fe50890d57c86a8a9c6c70787d46cb4b77085666f3e74bcb83a11acf1fef5d1e6ed3151ea06cbb8df3170
DIST puppet-agent_7.8.0-1focal_amd64.deb 20931500 BLAKE2B 3c521631fb96440e51ad82c3665f07a5ee9cba1d978fccbe9388684ad0c211138f022017ff49b92818cfc8f50ebed0a996c9321918413e4a1c7ca0f5a2f68f8a SHA512 f0cd9951b54bc9aacce987ea10e9257db9432620f50657ca220ea8b7b4aad1c5ddebd6f5e89c5bdee837b0f928bbebe375afdb72652eb33ee22e3778498aafa1
DIST puppet-agent_7.9.0-1focal_amd64.deb 20934808 BLAKE2B 4b5c529e1a5cb5877a753b09a477fc08e7ca7a93c3b1dae5062864d2887adea584075f4ca6b963e01cb5121ce06008182cfc39124b9e22559899beb03855240f SHA512 b6c94b65febd6b76f1ab7af5f4f5238fb314b2abb226dd5828f09ca46fdf4cd22641f765ea338b3aeb7ccf6e0fe37d5682586fbef7dc27b51a654ded6f774495

+ 74
- 0
app-admin/puppet-agent/puppet-agent-7.9.0-r2.ebuild View File

@@ -0,0 +1,74 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit systemd unpacker tmpfiles

DESCRIPTION="general puppet client utils along with hiera and facter"
HOMEPAGE="https://puppetlabs.com/"
SRC_URI="http://apt.puppetlabs.com/pool/focal/puppet/${PN:0:1}/${PN}/${PN}_${PV}-1focal_amd64.deb"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="puppetdb selinux"
RESTRICT="strip"

CDEPEND="!app-admin/puppet
!dev-ruby/hiera
!dev-ruby/facter
app-emulation/virt-what
acct-user/puppet
acct-group/puppet"

DEPEND="
${CDEPEND}
app-admin/augeas"
RDEPEND="${CDEPEND}
app-portage/eix
sys-apps/dmidecode
sys-libs/libselinux
sys-libs/glibc
sys-libs/readline:0/8
sys-libs/libxcrypt[compat]
sys-libs/ncurses:0[tinfo]
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
puppetdb? ( >=dev-ruby/puppetdb-termini-5.0.1 )"

S=${WORKDIR}

QA_PREBUILT="*"

src_install() {
# conf.d
doconfd etc/default/puppet
doconfd etc/default/pxp-agent
# logrotate.d
insinto /etc/logrotate.d
doins etc/logrotate.d/pxp-agent
# puppet itself
insinto /etc/puppetlabs
doins -r etc/puppetlabs/*
# logdir for systemd
keepdir var/log/puppetlabs/puppet/
chmod 0750 var/log/puppetlabs/puppet/
# the rest
insinto /opt
dodir opt/puppetlabs/puppet/cache
doins -r opt/*
fperms 0750 /opt/puppetlabs/puppet/cache
# init
newinitd "${FILESDIR}/puppet.initd2" puppet
systemd_dounit lib/systemd/system/puppet.service
systemd_dounit lib/systemd/system/pxp-agent.service
newtmpfiles usr/lib/tmpfiles.d/puppet-agent.conf puppet-agent.conf
# symlinks
chmod 0755 -R "${D}/opt/puppetlabs/puppet/bin/"
dosym ../../opt/puppetlabs/bin/facter /usr/bin/facter
dosym ../../opt/puppetlabs/bin/hiera /usr/bin/hiera
dosym ../../opt/puppetlabs/bin/puppet /usr/bin/puppet
dosym ../../../../lib/libcrypt.so.1 /opt/puppetlabs/puppet/lib/libcrypt.so.1
}

+ 1
- 0
app-admin/puppet/Manifest View File

@@ -1,2 +1,3 @@
DIST puppet-5.5.22.tar.gz 2998132 BLAKE2B 8662c89190d0904fe44ffeca1cf9a9ddca40d57ba6fb2d1e644ca353ceb55b1ca3a91416f1eef2975233c9c4498784e7d7280c111ea0cc070870cadc69341d99 SHA512 5332b084a63bdf244672cc4751022c84a1cc50d3f394a13bdcbccf7fcf4ebea67953e88957f23046608bf25e9182548449be824c18289cb2bf1e3ed29b40dc58
DIST puppet-7.8.0.tar.gz 2893281 BLAKE2B cef1d56048a72ffa18c9fe2917e4f616dd4d778eddc91c88becf06a418471af1e2cf1688aa05ad3e71f24d5bb1923eaf35b8a1419ed05a72b299af970d1427e6 SHA512 189fabe199afefc77951ee3f2bf20c749f6efe290cc3a76f5ba58892c80cc76082b1ce77c23bca87f57f62816410bc5536e4206806fe31517915c72046ace08d
DIST puppet-7.9.0.tar.gz 2899891 BLAKE2B 06f675fc9eaac4ddfa7957847abe33928f0779f3c18dbf339067525ec69b6b87d274294a1133ec8332fbbed6111b568c63478493f3de467c63e2948bcf446b71 SHA512 6329d89530d2cb008e28116de655024e9bf944b3f41d086e0e47c41c74af3da51c283a912ac966cf7bac52f86e54304df6cf31477a5663cae09fb4d18f958cf2

+ 132
- 0
app-admin/puppet/puppet-7.9.0.ebuild View File

@@ -0,0 +1,132 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"

USE_RUBY="ruby24 ruby25 ruby26 ruby27"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC="doc:all"
RUBY_FAKEGEM_EXTRAINSTALL="locales"

inherit ruby-fakegem

DESCRIPTION="A system automation and configuration management software."
HOMEPAGE="https://puppet.com/"
SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"

LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
RESTRICT="test"

ruby_add_rdepend "
dev-ruby/hiera
dev-ruby/json:=
dev-ruby/semantic_puppet
>=dev-ruby/facter-3.0.0
dev-ruby/concurrent-ruby
augeas? ( dev-ruby/ruby-augeas )
diff? ( dev-ruby/diff-lcs )
doc? ( dev-ruby/rdoc )
ldap? ( dev-ruby/ruby-ldap )
shadow? ( dev-ruby/ruby-shadow )
sqlite? ( dev-ruby/sqlite3 )
virtual/ruby-ssl
dev-ruby/hocon"

ruby_add_bdepend "
doc? ( dev-ruby/yard )
test? (
dev-ruby/mocha
dev-ruby/rack
dev-ruby/rspec-its
)"
# this should go in the above lists, but isn't because of test deps not being keyworded
# dev-ruby/rspec-collection_matchers

RDEPEND+=" ${RDEPEND}
rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
>=app-portage/eix-0.18.0
acct-user/puppet
acct-group/puppet"
PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"

all_ruby_prepare() {
# Avoid spec that require unpackaged json-schema.
rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die

# fix systemd path
eapply -p0 "${FILESDIR}/puppet-systemd.patch"

# Avoid specs that can only run in the puppet.git repository. This
# should be narrowed down to the specific specs.
rm spec/integration/parser/compiler_spec.rb || die

# Avoid failing spec that need further investigation.
rm spec/unit/module_tool/metadata_spec.rb || die
}

each_ruby_install() {
each_fakegem_install
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
}

all_ruby_install() {
all_fakegem_install

# systemd stuffs
insinto /usr/lib/systemd/system
doins "${WORKDIR}/all/${P}/ext/systemd/puppet.service"

# tmpfiles stuff
insinto /usr/lib/tmpfiles.d
newins "${FILESDIR}/tmpfiles.d" "puppet.conf"

# openrc init stuff
newinitd "${FILESDIR}"/puppet.init-4.x puppet

keepdir /etc/puppetlabs/puppet/ssl

keepdir /var/lib/puppet/facts
keepdir /var/lib/puppet/files
fowners -R puppet:puppet /var/lib/puppet

fperms 0750 /var/lib/puppet

fperms 0750 /etc/puppetlabs
fperms 0750 /etc/puppetlabs/puppet
fperms 0750 /etc/puppetlabs/puppet/ssl
fowners -R :puppet /etc/puppetlabs
fowners -R :puppet /var/lib/puppet

if use ldap ; then
insinto /etc/openldap/schema
doins ext/ldap/puppet.schema
fi

# ext and examples files
for f in $(find ext examples -type f) ; do
docinto "$(dirname ${f})"
dodoc "${f}"
done
}

pkg_postinst() {
elog
elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as this could"
elog "cause puppet to hang while installing packages."
elog
elog "Portage Puppet module with Gentoo-specific resources:"
elog "http://forge.puppetlabs.com/gentoo/portage"
elog
elog "If updating from puppet 5 to 6, keep in mind that webrick (server/master)"
elog "suppert was removed for >=6.x, please migrate to puppetserver if you have"
elog "not already done so."
elog
}

+ 1
- 0
app-admin/puppetdb/Manifest View File

@@ -1 +1,2 @@
DIST puppetdb-7.4.1.tar.gz 47409868 BLAKE2B 0ac4234547b27e9ad12c9c008d76be8fff7f724d93acc2ca26700d18ac2e30bf9689c46550a8976b90e662d7af97994d7e299b94e2d68e5b5f7d1166a54d4ff8 SHA512 64c42477554039991b35dfd2d29f4fa507226cc3256b07ff3524cd287c1dbf09bdf60116dd12288d1340ca74ced2872ac886f4eadde8bd83965976579e99738d
DIST puppetdb-7.5.0.tar.gz 47469411 BLAKE2B 98bf574e8b4edba47f58b899bdc3b6037a3ae79a2a8d8b3f69a108c416648fdc35f804d71fc412bcc257f7609be9b4d706af7e28d2fd05d3768a02e9efd95841 SHA512 94bf5bc9a95cacb1a3a7f0fb5b04a05eab5ded7d18c2fb396e616b44e429a4a6299e6802fc0fd72aa832a6d8181a7ecf6ef6aff4696d4c9bc16a1954aee6f77c

+ 87
- 0
app-admin/puppetdb/puppetdb-7.5.0.ebuild View File

@@ -0,0 +1,87 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit multilib systemd tmpfiles

DESCRIPTION="PuppetDB collects data generated by Puppet."
HOMEPAGE="http://docs.puppetlabs.com/puppetdb/"
SRC_URI="https://downloads.puppetlabs.com/${PN}/${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"

RDEPEND+=">=virtual/jdk-1.8.0"
DEPEND+="acct-user/puppetdb
acct-group/puppetdb"

src_prepare() {
sed -i 's/sysconfig/conf\.d/g' ext/redhat/puppetdb.service || die
sed -i 's/sysconfig/conf\.d/g' ext/bin/puppetdb || die
sed -i 's/sysconfig/conf\.d/g' install.sh || die
sed -i 's/var\/run/run/g' ext/puppetdb.tmpfiles.conf || die
sed -i 's/var\/run/run/g' install.sh || die
default
}

src_compile() {
einfo "not compiling"
}

src_install() {
dodir /opt/puppetlabs/server/data/puppetdb
insinto /opt/puppetlabs/server/apps/puppetdb
insopts -m0744
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppetdb.jar
insinto /etc/puppetlabs/puppetdb
doins ext/config/logback.xml
doins ext/config/bootstrap.cfg
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetdb/conf.d
doins ext/config/conf.d/jetty.ini
doins ext/config/conf.d/repl.ini
doins ext/config/conf.d/database.ini
doins ext/config/conf.d/config.ini
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetdb/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetdb/cli/apps
doins ext/cli/foreground
doins ext/cli/ssl-setup
doins ext/cli/config-migration
doins ext/cli/foreground
doins ext/cli/anonymize
doins ext/cli/reload
doins ext/cli/start
doins ext/cli/stop
insinto /opt/puppetlabs/server/apps/puppetdb/bin
doins ext/bin/puppetdb
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetdb/bin/puppetdb /opt/puppetlabs/server/bin/puppetdb
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetdb/bin/puppetdb /opt/puppetlabs/bin/puppetdb
dosym ../../opt/puppetlabs/server/apps/puppetdb/bin/puppetdb /usr/bin/puppetdb
# init type tasks
newconfd ext/default puppetdb
systemd_dounit ext/redhat/puppetdb.service
newtmpfiles ext/puppetdb.tmpfiles.conf puppetdb.conf
newinitd "${FILESDIR}/puppetdb.initd-r2" puppetdb
# misc
insinto /etc/logrotate.d
newins ext/puppetdb.logrotate.conf puppetdb
fowners -R puppetdb:puppetdb /opt/puppetlabs/server/data/puppetdb
fperms -R 770 /opt/puppetlabs/server/data/puppetdb
}

pkg_postinst() {
elog "to install please run '/opt/puppetlabs/server/bin/puppetdb ssl-setup'"
elog
elog "to upgrade please run '/opt/puppetlabs/server/bin/puppetdb config-migration'"
}

+ 1
- 0
app-admin/puppetserver/Manifest View File

@@ -1 +1,2 @@
DIST puppetserver-7.2.0.tar.gz 62897576 BLAKE2B 63a8a7ea001757e15224ec819d9a23e23d3e568832421009118c1c4c3880564f614afcfa593e7c0c580cd2890ab653f5692cfc7fb23992ca7674cd5a56fa3f50 SHA512 ec90220abf4901ad98e1e07f65cdc25f09b62fda22f915260519d6fc599d36ea3a5ec2bfd5787cc9459d3c25753ff5eded2c09a67a614da1d6dda0881262b3b9
DIST puppetserver-7.2.1.tar.gz 62917686 BLAKE2B 2a77423a932d7c75a164818d011feee1b789759046551be0d0275436295c47af6398222a223409a28b83c8186caf0d9f6e2d9ab4fc606214119bf0b56dc4d4d0 SHA512 ac960b756e6cbf32e70d1d209c6202973ffec17b553a68eaf9c0580ff4925656ae1a7616e45bee11f2a06544157d61e58b94bf700d39affd5d0116840c3fc10f

+ 131
- 0
app-admin/puppetserver/puppetserver-7.2.1.ebuild View File

@@ -0,0 +1,131 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit multilib systemd

DESCRIPTION="Puppet Server is the next-generation application for managing Puppet agents."
HOMEPAGE="http://docs.puppetlabs.com/puppetserver/"
SRC_URI="https://downloads.puppetlabs.com/puppet/${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
IUSE="puppetdb"
# will need the same keywords as puppet
KEYWORDS="~amd64"

RDEPEND+="
>=virtual/jdk-1.8.0
app-admin/puppet-agent[puppetdb?]"
DEPEND+="acct-user/puppet
acct-group/puppet"

src_prepare() {
sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' ext/redhat/puppetserver.service || die
sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' ext/bin/puppetserver || die
sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' install.sh || die
sed -i 's/var\/run/run/g' ext/config/conf.d/puppetserver.conf || die
sed -i 's/var\/run/run/g' ext/redhat/puppetserver.service || die
sed -i 's/var\/run/run/g' install.sh || die
default
}

src_compile() {
einfo "not compiling"
}

src_install() {
insinto /opt/puppetlabs/server/apps/puppetserver
insopts -m0774
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppet-server-release.jar
insinto /etc/puppetlabs/puppetserver
doins ext/config/logback.xml
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetserver/services.d
doins ext/system-config/services.d/bootstrap.cfg
doins ext/config/services.d/ca.cfg
insinto /etc/puppetlabs/puppetserver/conf.d
doins ext/config/conf.d/puppetserver.conf
doins ext/config/conf.d/auth.conf
doins ext/config/conf.d/global.conf
doins ext/config/conf.d/web-routes.conf
doins ext/config/conf.d/metrics.conf
doins ext/config/conf.d/webserver.conf
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetserver/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetserver/cli/apps
doins ext/cli/ca
doins ext/cli/irb
doins ext/cli/foreground
doins ext/cli/gem
doins ext/cli/ruby
doins ext/cli/reload
doins ext/cli/start
doins ext/cli/stop
insinto /opt/puppetlabs/server/apps/puppetserver/cli
doins ext/cli_defaults/cli-defaults.sh
insinto /opt/puppetlabs/server/apps/puppetserver/bin
doins ext/bin/puppetserver
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetserver/bin/puppetserver /opt/puppetlabs/server/bin/puppetserver
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetserver/bin/puppetserver /opt/puppetlabs/bin/puppetserver
dosym ../../opt/puppetlabs/server/apps/puppetserver/bin/puppetserver /usr/bin/puppetserver
dodir /opt/puppetlabs/server/apps/puppetserver/config/services.d
# other sys stuff
dodir /etc/puppetlabs/code
# needed for systemd
keepdir /var/log/puppetlabs/puppetserver
dodir /etc/puppetlabs/puppet/ssl
fowners -R puppet:puppet /etc/puppetlabs/puppet/ssl
fperms -R 771 /etc/puppetlabs/puppet/ssl
# systemd type things
insinto /etc/systemd/system/puppetserver.service.d/
systemd_dounit ext/redhat/puppetserver.service
insinto /etc/default
newins ext/default puppetserver
# normal init type tasks
dosym ../default/puppetserver /etc/conf.d/puppetserver
newinitd "${FILESDIR}/puppetserver.init-r1" puppetserver
# misc
insinto /etc/logrotate.d
newins ext/puppetserver.logrotate.conf puppetserver
# cleanup
dodir /opt/puppetlabs/server/data/puppetserver/jruby-gems
fowners -R puppet:puppet /opt/puppetlabs/server/data
fperms -R 775 /opt/puppetlabs/server/data/puppetserver
fperms -R 700 /var/log/puppetlabs/puppetserver
insinto /opt/puppetlabs/server/data
doins ext/build-scripts/jruby-gem-list.txt
doins ext/build-scripts/mri-gem-list-no-dependencies.txt
insopts -m 0644
insinto /usr/lib/tmpfiles.d
newins ext/puppetserver.tmpfiles.conf puppetserver.conf
}

pkg_postinst() {
elog "to install you may want to run the following:"
elog
elog "puppet config set --section master vardir /opt/puppetlabs/server/data/puppetserver"
elog "puppet config set --section master logdir /var/log/puppetlabs/puppetserver"
elog "puppet config set --section master rundir /run/puppetlabs/puppetserver"
elog "puppet config set --section master pidfile /run/puppetlabs/puppetserver/puppetserver.pid"
elog "puppet config set --section master codedir /etc/puppetlabs/code"
elog
elog "# install puppetserver gems"
elog "cd /opt/puppetlabs/server/apps/puppetserver"
elog "echo \"jruby-puppet: { gem-home: ${DESTDIR}/opt/puppetlabs/server/data/puppetserver/vendored-jruby-gems }\" > jruby.conf"
elog "while read LINE; do"
elog " java -cp puppet-server-release.jar:jruby-9k.jar clojure.main -m puppetlabs.puppetserver.cli.gem --config jruby.conf -- install --no-document \$(echo \$LINE |awk '{print \$1}') --version \$(echo \$LINE |awk '{print \$2}')"
elog "done < /opt/puppetlabs/server/data/jruby-gem-list.txt"
elog "echo \"jruby-puppet: { gem-home: ${DESTDIR}/opt/puppetlabs/puppet/lib/ruby/vendor_gems }\" > jruby.conf"
elog "while read LINE; do"
elog " java -cp puppet-server-release.jar:jruby-9k.jar clojure.main -m puppetlabs.puppetserver.cli.gem --config jruby.conf -- install --no-document --ignore-dependencies \$(echo \$LINE |awk '{print \$1}') --version \$(echo \$LINE |awk '{print \$2}')"
elog "done < /opt/puppetlabs/server/data/mri-gem-list-no-dependencies.txt"
}

+ 1
- 1
app-admin/pwgen/pwgen-2.08.ebuild View File

@@ -9,7 +9,7 @@ SRC_URI="mirror://sourceforge/pwgen/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="livecd"

src_configure() {


+ 0
- 2
app-admin/vault/Manifest View File

@@ -1,5 +1,3 @@
DIST vault-1.5.6-webui.tar.xz 1237168 BLAKE2B 997a3ef1e297e288d2abf14647667fd07ebd2e9c6389aad90e3c8fe4d66b5e77004ad07575c6a48d38eb1a4e4040af6cf341edc17bbe87a575a31e06f91449aa SHA512 afed06fe9866dd24ea925e49e2ebdb477ef40dd8ea0137fec1f8a86e17cbe5679ef23a9d9a248ce4de8a21392c96d50f47487c5a866f45ad7317c6cbfc1a5fda
DIST vault-1.5.6.tar.gz 35110596 BLAKE2B 6e2581b82dfc98f0fd4c807dd24c9e17b4e4c3252ab5744388e17a076d8ed613ea2360f8bf5b975ee5b15d6c7f96100f2b814e290ab47e33c565525ffe1eeda3 SHA512 1da2a6f1307583f03298a4199d301536783787ae1d9b16a8b0a4cce55d29a1fd8a1631366a55aa4671d5b7f6fb9108ffe55d9ec9575e887e495a512b00cf9cb3
DIST vault-1.5.9-webui.tar.xz 1244124 BLAKE2B bdd56f3ffc3c1733f9ba3c76be2e6969039dfbf03ba3ced1f9fa69b2622b51d09e18c5a2c1127a5056db54a2a034549d40e3edbba23849276ce15360e3859afb SHA512 5abac5ccaf0c3010327eb79e78b3fe37de89202e998c19457d8782d138e826e2c6e319dca221419977ecc6dbe7477e7778c9d5011ecef5eaa49e53a4485f586e
DIST vault-1.5.9.tar.gz 35127251 BLAKE2B 7b2c24f797f0c54672b49a28989e0e465d9a0054f26cfcaf22d030a9f3b25d79b496044bb65a6d4c363b7478a3ca6d8dac1520169d6c347fe75bac3ff6001df6 SHA512 de5dfa9cb0ca41514fa5652d2cd3dacc312b1a6d9f2311823a1634dadb6bc4430d8124ac9089dd93f7277ff44f3fee37354b3ae48f8ece839ba859c89655510b
DIST vault-1.6.5-webui.tar.xz 1273364 BLAKE2B 3fd23a322f435cc1151c7c7321bd48ddbf5a06e260e77cb51353e5df940a7e7932b7043e914da149664d20e7a10b24771c6c3f1cad0cae035b654f4e206212aa SHA512 cbc433bf101996ff1f800b023664f1a6b9e3473fb2220986724f2019801cbe758a0889f1e9ab8a4fbcda3a6d75e453251a24f1c81228616f6a377100c4e7ae7a


+ 0
- 78
app-admin/vault/vault-1.5.6.ebuild View File

@@ -1,78 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit fcaps go-module systemd

DESCRIPTION="A tool for managing secrets"
HOMEPAGE="https://vaultproject.io/"
VAULT_WEBUI_ARCHIVE="${P}-webui.tar.xz"
SRC_URI="https://github.com/hashicorp/vault/archive/v${PV}.tar.gz -> ${P}.tar.gz
webui? (
https://dev.gentoo.org/~zmedico/dist/${VAULT_WEBUI_ARCHIVE}
)"

LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
SLOT="0"
KEYWORDS="amd64"
IUSE="+webui"

BDEPEND="dev-go/gox
>=dev-lang/go-1.14.7"
COMMON_DEPEND="acct-group/vault
acct-user/vault"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"

FILECAPS=(
-m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
)

RESTRICT+=" test"

src_prepare() {
default
# Avoid the need to have a git checkout
sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
-e 's:^\(GIT_DIRTY=\).*:\1:' \
-e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
-i scripts/build.sh || die
sed -e "/hooks/d" \
-e 's|^\([[:space:]]*\)goimports .*)|\1true|' \
-i Makefile || die
if [[ -f "${WORKDIR}/http/bindata_assetfs.go" ]]; then
mv "${WORKDIR}/http/bindata_assetfs.go" "${S}/http" ||
die "mv failed"
fi
}

src_compile() {
mkdir "${T}"/bin || die
BUILD_TAGS="$(usex webui ui '')" \
GOFLAGS="-mod=vendor" \
GOPATH="${T}" \
XC_ARCH=$(go env GOARCH) \
XC_OS=$(go env GOOS) \
XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
emake
}

src_install() {
dobin bin/${PN}
dodoc CHANGELOG.md CONTRIBUTING.md README.md
insinto /etc/${PN}.d
doins "${FILESDIR}/"*.json.example
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
newinitd "${FILESDIR}/${PN}.initd" "${PN}"
newconfd "${FILESDIR}/${PN}.confd" "${PN}"
systemd_dounit "${FILESDIR}/${PN}.service"
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

pkg_postinst() {
fcaps_pkg_postinst
go-module_pkg_postinst
}

+ 1
- 1
app-admin/vault/vault-1.5.9.ebuild View File

@@ -15,7 +15,7 @@ SRC_URI="https://github.com/hashicorp/vault/archive/v${PV}.tar.gz -> ${P}.tar.gz

LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
IUSE="+webui"

BDEPEND="dev-go/gox


BIN
app-arch/Manifest.gz View File


+ 0
- 1
app-arch/gnome-autoar/Manifest View File

@@ -1,2 +1 @@
DIST gnome-autoar-0.3.2.tar.xz 298656 BLAKE2B d56498f2798b838729056f5d2194dc628de8cfd3e8964a718982cfd464e3e6848152624b2cbbe5377d813183eebae1f212bc56c1a8df2ea119af264786151670 SHA512 6685e44ed61388759ff820b7cd403304f32d47fab4e2f66f5571a5cc6d01c1287bda851f230b3782bb1beff6ef784c25434930f15ef6ed32d788db4b89435968
DIST gnome-autoar-0.3.3.tar.xz 298536 BLAKE2B effbd3c15ab851c97f3c69f96bbf806f3639ce4865161df99b7f84ec2c4c8a3df9381517227d9a475b1006d88ac21eb02b4b474fd8bd27524959b56cf486e888 SHA512 41cda2670506e9b3f79c4995d2fdfbd5024777d8f8b3f85a2010af4e5f4303743d26ad9cad787c995362f83b65617ed5773d972c8aa2c7bdcd358d873cb86ec4

+ 0
- 43
app-arch/gnome-autoar/gnome-autoar-0.3.2.ebuild View File

@@ -1,43 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
VALA_USE_DEPEND="vapigen"

inherit gnome2 vala

DESCRIPTION="Automatic archives creating and extracting library"
HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-autoar"

LICENSE="LGPL-2.1+"
SLOT="0"
IUSE="gtk +introspection vala"
REQUIRED_USE="vala? ( introspection )"

KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"

RDEPEND="
>=app-arch/libarchive-3.4.0
>=dev-libs/glib-2.35.6:2
gtk? ( >=x11-libs/gtk+-3.2:3[introspection?] )
introspection? ( >=dev-libs/gobject-introspection-1.30.0:= )
"
DEPEND="${RDEPEND}"
BDEPEND="
>=dev-util/gtk-doc-am-1.14
virtual/pkgconfig
vala? ( $(vala_depend) )
"

src_prepare() {
use vala && vala_src_prepare
gnome2_src_prepare
}

src_configure() {
gnome2_src_configure \
--disable-static \
$(use_enable introspection) \
$(use_enable vala) \
$(use_enable gtk)
}

+ 1
- 1
app-arch/lxqt-archiver/lxqt-archiver-0.4.0.ebuild View File

@@ -13,7 +13,7 @@ if [[ ${PV} == *9999* ]]; then
EGIT_REPO_URI="https://github.com/lxqt/${PN}.git"
else
SRC_URI="https://github.com/lxqt/${PN}/releases/download/${PV}/${P}.tar.xz"
KEYWORDS="amd64 x86"
KEYWORDS="amd64 ~riscv x86"
fi

LICENSE="GPL-2 GPL-2+"


+ 0
- 2
app-arch/rpm/Manifest View File

@@ -1,3 +1 @@
DIST rpm-4.14.2.1.tar.bz2 4156574 BLAKE2B 2eb0cf621eecef7d8977d28d52be922156ceb64b14d2aefda0f5a927b90cf3d3e9c055d773e05ed52422254397153b79557dc94bdb43ca28a2ea126153a43c1f SHA512 0aad457f91918904c15649a1764ce7cbfaf38e083678031286e866f7997be0435a6b7b73596706d97e9263cff7b4df4a3150b142d81e6e3fddbfcf67bd83f990
DIST rpm-4.16.0.tar.bz2 4341683 BLAKE2B 5161e5dcc6d9a1f1d4b8e44740fb368050b808fd9e8b8276fb17b530a4642e1b9ad104b5a30c0071215aef7f823eeab10988dd41f73af1c52d575529c374b5eb SHA512 177119c3ac3d48980db55bb4ba0fdbb2a911968e5efc690bfa8cc343f850fc90531cc0dee6dd8e45d2b14f0d951ced35bd8893d24011b7f270745d281ddf4e3d
DIST rpm-4.16.1.3.tar.bz2 4354652 BLAKE2B 10013014bdeaf908b64c90f8e76f1d4b0cd0e8cb926f0cd979d7b1e1963b9a25c5b98531deea7e74e00168e2e6349f443fa4578c69c717ca1ab5e6b79d801f3a SHA512 54e503b32dffaa73d6168f26a00220d9d9124082d8a1eb1ddf34ce32a482f07cb06ec654cf065fca1607cc37b13fa7d4fa9895553541d7cfddecf68c9eb96f2e

+ 0
- 14
app-arch/rpm/files/rpm-4.11.0-autotools.patch View File

@@ -1,14 +0,0 @@
diff -urN rpm-4.11.0.1.old/configure.ac rpm-4.11.0.1/configure.ac
--- rpm-4.11.0.1.old/configure.ac 2013-03-26 18:38:35.137667450 +0100
+++ rpm-4.11.0.1/configure.ac 2013-03-26 18:44:08.632673258 +0100
@@ -824,10 +810,6 @@
AC_SUBST(OBJDUMP)
-if test "$with_external_db" = no; then
- AC_CONFIG_SUBDIRS(db3)
-fi
-
AM_CONDITIONAL([WITH_INTERNAL_DB],[test "$with_external_db" = no])
AM_CONDITIONAL([DOXYGEN],[test "$DOXYGEN" != no])
AM_CONDITIONAL([HACKINGDOCS],[test "$with_hackingdocs" = yes])

+ 0
- 34
app-arch/rpm/files/rpm-4.16.0-libdir.patch View File

@@ -1,34 +0,0 @@
diff -uNr rpm-4.16.0.ORIG/configure.ac rpm-4.16.0/configure.ac
--- rpm-4.16.0.ORIG/configure.ac 2020-10-01 11:08:43.780842602 +0100
+++ rpm-4.16.0/configure.ac 2020-10-01 11:09:03.533705353 +0100
@@ -935,13 +935,7 @@
AC_DEFINE_UNQUOTED([RUNDIR],["${RUNDIR}"],[run-time variable directory])
AC_SUBST(RUNDIR)
-if test X"$prefix" = XNONE ; then
- usrprefix="$ac_default_prefix"
-else
- usrprefix=$prefix
-fi
-
-RPMCONFIGDIR="`echo ${usrprefix}/lib/rpm`"
+RPMCONFIGDIR="`echo ${libexecdir}/rpm/`"
AC_SUBST(RPMCONFIGDIR)
AC_SUBST(OBJDUMP)
diff -uNr rpm-4.16.0.ORIG/rpm.am rpm-4.16.0/rpm.am
--- rpm-4.16.0.ORIG/rpm.am 2020-10-01 11:08:43.743842859 +0100
+++ rpm-4.16.0/rpm.am 2020-10-01 11:09:03.533705353 +0100
@@ -1,10 +1,8 @@
# Internal binaries
-## HACK: It probably should be $(libexecdir)/rpm or $(libdir)/rpm
-rpmlibexecdir = $(prefix)/lib/rpm
+rpmlibexecdir = $(pkglibexecdir)
# Host independent config files
-## HACK: it probably should be $(datadir)/rpm
-rpmconfigdir = $(prefix)/lib/rpm
+rpmconfigdir = $(pkglibexecdir)
# Libtool version (current-revision-age) for all our libraries
rpm_version_info = 10:0:1

+ 0
- 31
app-arch/rpm/files/rpm-4.9.1.2-libdir.patch View File

@@ -1,31 +0,0 @@
diff -urN rpm-4.9.1.2.old/configure.ac rpm-4.9.1.2/configure.ac
--- rpm-4.9.1.2.old/configure.ac 2012-04-19 12:18:27.584725220 +0200
+++ rpm-4.9.1.2/configure.ac 2012-04-19 12:34:50.302722933 +0200
@@ -846,13 +846,7 @@
AC_SUBST(RPMCANONGNU)
AC_DEFINE_UNQUOTED([RPMCANONVENDOR],["${RPMCANONVENDOR}"],[canonical vendor])
-if test X"$prefix" = XNONE ; then
- usrprefix="$ac_default_prefix"
-else
- usrprefix=$prefix
-fi
-
-RPMCONFIGDIR="`echo ${usrprefix}/lib/rpm`"
+RPMCONFIGDIR="`echo ${libexecdir}/rpm/`"
AC_SUBST(RPMCONFIGDIR)
AC_SUBST(OBJDUMP)
diff -urN rpm-4.9.1.2.old/rpm.am rpm-4.9.1.2/rpm.am
--- rpm-4.9.1.2.old/rpm.am 2012-04-19 12:18:27.584725220 +0200
+++ rpm-4.9.1.2/rpm.am 2012-04-19 12:24:49.035724332 +0200
@@ -1,7 +1,5 @@
# Internal binaries
-## HACK: It probably should be $(libexecdir)/rpm or $(libdir)/rpm
-rpmlibexecdir = $(prefix)/lib/rpm
+rpmlibexecdir = $(pkglibexecdir)
# Host independent config files
-## HACK: it probably should be $(datadir)/rpm
-rpmconfigdir = $(prefix)/lib/rpm
+rpmconfigdir = $(pkglibexecdir)

+ 0
- 141
app-arch/rpm/rpm-4.14.2.1-r1.ebuild View File

@@ -1,141 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PYTHON_COMPAT=( python3_{7,8,9} )

inherit autotools flag-o-matic perl-module python-single-r1 eapi7-ver

DESCRIPTION="Red Hat Package Management Utils"
HOMEPAGE="https://rpm.org
https://github.com/rpm-software-management/rpm"
SRC_URI="http://ftp.rpm.org/releases/rpm-$(ver_cut 1-2).x/${P}.tar.bz2"

LICENSE="GPL-2 LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux"

# Tests are broken. See bug 657500
RESTRICT="test"

IUSE="acl caps doc dbus lua nls python selinux test zstd"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

CDEPEND="!app-arch/rpm5
app-arch/libarchive
>=sys-libs/db-4.5:*
>=sys-libs/zlib-1.2.3-r1
>=app-arch/bzip2-1.0.1
>=dev-libs/popt-1.7
>=app-crypt/gnupg-1.2
dbus? ( sys-apps/dbus )
dev-libs/elfutils
virtual/libintl
>=dev-lang/perl-5.8.8
dev-libs/nss
python? ( ${PYTHON_DEPS} )
nls? ( virtual/libintl )
lua? ( dev-lang/lua:5.1=[deprecated] )
acl? ( virtual/acl )
caps? ( >=sys-libs/libcap-2.0 )
zstd? ( app-arch/zstd )
"
DEPEND="${CDEPEND}
nls? ( sys-devel/gettext )
doc? ( app-doc/doxygen )
virtual/pkgconfig
test? ( sys-apps/fakechroot )
"
RDEPEND="${CDEPEND}
selinux? ( sec-policy/selinux-rpm )
"

pkg_setup() {
use python && python-single-r1_pkg_setup
}

src_prepare() {
eapply "${FILESDIR}"/${PN}-4.11.0-autotools.patch
eapply "${FILESDIR}"/${PN}-4.8.1-db-path.patch
eapply "${FILESDIR}"/${PN}-4.9.1.2-libdir.patch

# fix #356769
sed -i 's:%{_var}/tmp:/var/tmp:' macros.in || die "Fixing tmppath failed"
# fix #492642
sed -i "s:@__PYTHON@:${PYTHON}:" macros.in || die "Fixing %__python failed"

eapply_user

eautoreconf

# Prevent automake maintainer mode from kicking in (#450448).
touch -r Makefile.am preinstall.am
}

src_configure() {
append-cppflags -I"${EPREFIX}/usr/include/nss" -I"${EPREFIX}/usr/include/nspr"
econf \
--without-selinux \
--with-external-db \
--with-crypto=nss \
$(use_enable python) \
$(use_with doc hackingdocs) \
$(use_enable nls) \
$(use_enable dbus inhibit-plugin) \
$(use_with lua) \
$(use_with caps cap) \
$(use_with acl) \
$(use_enable zstd zstd $(usex zstd yes no))
}

src_install() {
default

# remove la files
find "${ED}" -name '*.la' -delete || die

# fix symlinks to /bin/rpm (#349840)
for binary in rpmquery rpmverify;do
ln -sf rpm "${ED}"/usr/bin/${binary} || die
done

if ! use nls; then
rm -rf "${ED}"/usr/share/man/?? || die
fi

keepdir /usr/src/rpm/{SRPMS,SPECS,SOURCES,RPMS,BUILD}

dodoc CREDITS README*
if use doc; then
for docname in hacking librpm; do
docinto "html/${docname}"
dodoc -r "doc/${docname}/html/."
done
fi

# Fix perllocal.pod file collision
perl_delete_localpod

use python && python_optimize
}

src_test() {
# Known to fail with FEATURES=usersandbox (bug #657500):
if has usersandbox $FEATURES ; then
ewarn "You are emerging ${P} with 'usersandbox' enabled." \
"Expect some test failures or emerge with 'FEATURES=-usersandbox'!"
fi

emake check
}

pkg_postinst() {
if [[ -f "${EROOT}"/var/lib/rpm/Packages ]] ; then
einfo "RPM database found... Rebuilding database (may take a while)..."
"${EROOT}"/usr/bin/rpmdb --rebuilddb --root="${EROOT}" || die
else
einfo "No RPM database found... Creating database..."
"${EROOT}"/usr/bin/rpmdb --initdb --root="${EROOT}" || die
fi
}

+ 0
- 153
app-arch/rpm/rpm-4.16.0.ebuild View File

@@ -1,153 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

LUA_COMPAT=( lua5-{2..4} )
PYTHON_COMPAT=( python3_{7,8,9} )

inherit autotools flag-o-matic lua-single perl-module python-single-r1 toolchain-funcs

DESCRIPTION="Red Hat Package Management Utils"
HOMEPAGE="https://rpm.org
https://github.com/rpm-software-management/rpm"
SRC_URI="http://ftp.rpm.org/releases/rpm-$(ver_cut 1-2).x/${P}.tar.bz2"

LICENSE="GPL-2 LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux"

# Tests are broken. See bug 657500
RESTRICT="test"

IUSE="acl caps doc dbus lua nls openmp python selinux test +zstd"
REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )"

CDEPEND="!app-arch/rpm5
app-arch/libarchive
>=sys-libs/db-4.5:*
>=sys-libs/zlib-1.2.3-r1
>=app-arch/bzip2-1.0.1
>=dev-libs/popt-1.7
>=app-crypt/gnupg-1.2
dbus? ( sys-apps/dbus )
dev-libs/elfutils
virtual/libintl
>=dev-lang/perl-5.8.8
dev-libs/nss
python? ( ${PYTHON_DEPS} )
nls? ( virtual/libintl )
lua? ( ${LUA_DEPS} )
acl? ( virtual/acl )
caps? ( >=sys-libs/libcap-2.0 )
zstd? ( app-arch/zstd )
"
DEPEND="${CDEPEND}
nls? ( sys-devel/gettext )
doc? ( app-doc/doxygen )
virtual/pkgconfig
test? ( sys-apps/fakechroot )
"
RDEPEND="${CDEPEND}
selinux? ( sec-policy/selinux-rpm )
"

pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}

pkg_setup() {
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup

# Added USE=openmp and this check for bug #779769
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}

src_prepare() {
eapply "${FILESDIR}"/${P}-autotools.patch
eapply "${FILESDIR}"/${PN}-4.8.1-db-path.patch
eapply "${FILESDIR}"/${P}-libdir.patch

# fix #356769
sed -i 's:%{_var}/tmp:/var/tmp:' macros.in || die "Fixing tmppath failed"
# fix #492642
sed -i "s:@__PYTHON@:${PYTHON}:" macros.in || die "Fixing %__python failed"

eapply_user
eautoreconf

# Prevent automake maintainer mode from kicking in (#450448).
touch -r Makefile.am preinstall.am
}

src_configure() {
append-cppflags -I"${EPREFIX}/usr/include/nss" -I"${EPREFIX}/usr/include/nspr"
# NOTE: 4.16.0 warns:
# "configure: WARNING: Using the nss library with rpm is deprecated and support will be removed in a future release!"
# Only libgcrypt (default) and openssl are not deprecated. We should consider this.
# bug #780684
econf \
--without-selinux \
--with-crypto=nss \
$(use_enable python) \
$(use_enable nls) \
$(use_enable openmp) \
$(use_enable dbus inhibit-plugin) \
$(use_with lua) \
$(use_with caps cap) \
$(use_with acl) \
$(use_enable zstd zstd $(usex zstd yes no))
}

src_install() {
default

# remove la files
find "${ED}" -name '*.la' -delete || die

# fix symlinks to /bin/rpm (#349840)
for binary in rpmquery rpmverify;do
ln -sf rpm "${ED}"/usr/bin/${binary} || die
done

if ! use nls; then
rm -rf "${ED}"/usr/share/man/?? || die
fi

keepdir /usr/src/rpm/{SRPMS,SPECS,SOURCES,RPMS,BUILD}

dodoc CREDITS README*
if use doc; then
for docname in librpm; do
docinto "html/${docname}"
dodoc -r "doc/${docname}/html/."
done
fi

# Fix perllocal.pod file collision
perl_delete_localpod

use python && python_optimize
}

src_test() {
# Known to fail with FEATURES=usersandbox (bug #657500):
if has usersandbox $FEATURES ; then
ewarn "You are emerging ${P} with 'usersandbox' enabled." \
"Expect some test failures or emerge with 'FEATURES=-usersandbox'!"
fi

emake check
}

pkg_postinst() {
if [[ -f "${EROOT}"/var/lib/rpm/Packages ]] ; then
einfo "RPM database found... Rebuilding database (may take a while)..."
"${EROOT}"/usr/bin/rpmdb --rebuilddb --root="${EROOT}/" || die
else
einfo "No RPM database found... Creating database..."
"${EROOT}"/usr/bin/rpmdb --initdb --root="${EROOT}/" || die
fi
}

+ 1
- 1
app-arch/zstd/zstd-1.5.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/facebook/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="lz4 static-libs +threads"

RDEPEND="app-arch/xz-utils


BIN
app-crypt/Manifest.gz View File


+ 1
- 1
app-crypt/minisign/minisign-0.9.ebuild View File

@@ -13,7 +13,7 @@ if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/jedisct1/${PN}.git"
else
SRC_URI="https://github.com/jedisct1/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
fi

LICENSE="ISC"


+ 2
- 2
app-crypt/stoken/stoken-0.92-r1.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/cernekee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc64 x86"
KEYWORDS="amd64 arm arm64 ppc64 ~riscv x86"
IUSE="gtk static"

# || ( dev-libs/nettle dev-libs/libtomcrypt ) libtomcrypt is not packaged


+ 1
- 1
app-crypt/swtpm/swtpm-0.6.0-r1.ebuild View File

@@ -13,7 +13,7 @@ SRC_URI="https://github.com/stefanberger/swtpm/archive/v${PV}.tar.gz -> ${P}.tar

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64"
IUSE="fuse +gnutls seccomp test"
RESTRICT="!test? ( test )"



+ 1
- 1
app-crypt/tpm2-tss/tpm2-tss-3.1.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
IUSE="doc +fapi +openssl mbedtls static-libs test"

RESTRICT="!test? ( test )"


+ 1
- 1
app-crypt/trousers/trousers-0.3.15.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"

LICENSE="CPL-1.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~ppc ~ppc64 ~s390 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
IUSE="doc selinux" # gtk

# gtk support presently does NOT compile.


BIN
app-doc/Manifest.gz View File


+ 1
- 1
app-doc/selflinux/selflinux-0.13.0-r1.ebuild View File

@@ -12,7 +12,7 @@ S="${WORKDIR}/${MY_P}"

LICENSE="FDL-1.1+"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
KEYWORDS="amd64 ppc x86"

HTML_DOCS=( "." )



BIN
app-editors/Manifest.gz View File


+ 3
- 0
app-editors/emacs/Manifest View File

@@ -5,8 +5,11 @@ DIST emacs-23.4.tar.bz2 38646508 BLAKE2B 33dac5d27a63b7aab6b4053964a0ecf7f7939c7
DIST emacs-24.5-patches-5.tar.xz 14796 BLAKE2B 3e097f9cdf96a8b0255ce69770f79259ac9bdddbf5aa77c381973e4348d0900ee6dc6ed4af26021811afbb14eff84bc2a370bc8e803d112476554d03b074ce66 SHA512 fe9f9c19ff760e61dcbf1828d4e9e2806c141b47372bdd736be8237183660a28e2ef86a97034d060e244ff81540a2503a1b47655ef84222fddacb3a87f0f34ae
DIST emacs-24.5.tar.xz 39759804 BLAKE2B aec253528038686822d1f8ed9a52dff276789ef7744053fc9b6176fceba4d4d8684fe979cf97e756b3feaf734d2377baef81f5efaa5450930a4e94d9f3bca355 SHA512 89dee4c3aadb6e505c523f84c65b5e40e5bf28a586cc8a4518a59581c22972f942bb6f3c772df0d5b2685c3e78247c545c6bb2576e981d1ef0f9298c18ad1677
DIST emacs-25.3-patches-2.tar.xz 2488 BLAKE2B 93c6a18e7f729a5b4d299974581c99835e5f197215888253f75827645e440f6579da16d4cd8340f2732f8bf8a6a15713e29848953033dc62b573a1c1fab455bf SHA512 f171cc5699f06523a007aba5aa1a4274c9a875358a60405aa77cdc96ebb229082cb73453940e8c9e76dd7b86979cefc261883db0c130142543befb7a097475f4
DIST emacs-25.3-patches-3.tar.xz 2828 BLAKE2B 9a367a545d889d2edf0ee95edb856a7367ec6c10ae6c6fe6b2b452f548184a2a721eb72c448f303a639d5210366c11cf64af33fa322496ff1fd6f7a7e995a154 SHA512 fd65b768be3e3b7b6e280324ff5dd9f790a1279775defea370be5a2555fd64c134c004723e0722331e32117901281dfa2ca2ba42ee4fb33037a3eb83617e222b
DIST emacs-25.3.tar.xz 42854740 BLAKE2B 4f4e2572bbef48b75c561497fc22046081e56099b6174725d79b15a5b16d5c886eaf8ff3f75cf561e989ebb092ab9e98ba7503e720a9db7560758b30d5116f23 SHA512 1cce656451b6ca8502ebb229e88bd3ef48b7f9444a10eeac4ea43bd5491b2efacd641dfa35227a33362c3866493d3449cf1df81606563eef44bba0ed668e457f
DIST emacs-26.3-patches-1.tar.xz 1076 BLAKE2B 1218c9a69deae0e3a55e061bd0cd2ab2b7099c86ebe861cc0b3c61a6d7a0756dce13553c861c41a9d2943b5ae78f3c607f099663e90b504d349d2a0be0f34682 SHA512 0e989e760e08675fdedb2cfca39ce63255dd092af38e0dd7febebb54aba10f5a186e1d360edecec3a4dd0ccc480dcc4430b3b9a73bdc84f8dc977591c3da395e
DIST emacs-26.3.tar.xz 44415140 BLAKE2B aa8434e6431992ee40402f03a890dd2c49784ee76f437888efe61d66b9aa2bdb816eb0bfe1055e9e154a8bb3ed065fee71623741b474d465a96964618ec775e3 SHA512 4d5a4319253afb081e105a3697eb6eeb8d8a0da18cd41346e376ca5af1e180a26e641f76c64fad1b0253168f14a511f0a4d9d4141524fb1cf4d04f25b05a76e9
DIST emacs-27.1.tar.xz 43752012 BLAKE2B 433fbf234c711954269e7e10348abbd4a2bc4c357a59164c625a5ccee2de85a149636c70ad3fad3c09dbbd24900badfd2c0c645017bb33ab3e25d3decff72057 SHA512 dfb26531d2c19cf9fb56505f03d799654b45e5f9528e777900e8280ed2c1d21e04c52f510528e31e015977c471ae63164cedee6174b7439ebcf479a21fc18064
DIST emacs-27.2-patches-2.tar.xz 7448 BLAKE2B 4335438a43ba88f6638082bf034c77331808f3fbfee9b746d82bfcb6de5c6b6563c358e92d0296357e3b76c67a58e2b748c3234770a6cbff60170bf91eb1b8af SHA512 b62498a8a26bf7b0939102d37508eb7ea0213f69a2e803cff3346dab70da03b3c63e1df2683cedd6fb85afb928bb1fb0072bfde8da326f4cabfd950457d2d368
DIST emacs-27.2-patches-3.tar.xz 7776 BLAKE2B c03947780518ebf86994b1af20cc24377094c55c783e3cbb0230da5ecb4c92613c4e6d599cefe51b297cc117e3a832c6b34365cc983da0630a9ca6f39b58d10e SHA512 a72af0dd47989b5e4ceecc48d8dfd1a362cdda17070a6a5a9c53c0448a7bceed3b27efd0dd78a0cbe3eb503015b1475cd52fc01c5aca10a52ad30635f385b190
DIST emacs-27.2.tar.xz 44624480 BLAKE2B 245ea96004b90f81ac74de74521cbbe086caf1176937e08157eae12cdde5a0f35fc77f7119272ed812974358e5e95abb05e1c2e4f3b501cf5401ea9274f62156 SHA512 0f63a5a8709b113ef790c1a64845dad05ead096f93f62164ff221c517a35b91ea7bced75a992d794981a85382cda03cca7338da2f5ef8f6ef1459b88018a4ce9

+ 356
- 0
app-editors/emacs/emacs-25.3-r11.ebuild View File

@@ -0,0 +1,356 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit autotools elisp-common flag-o-matic readme.gentoo-r1

DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
HOMEPAGE="https://www.gnu.org/software/emacs/"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz
https://dev.gentoo.org/~ulm/emacs/${P}-patches-3.tar.xz"

LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="25"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk gui gzip-el imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib motif png selinux sound source ssl svg tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm zlib"

RDEPEND="acct-group/mail
app-emacs/emacs-common[games?,gui(-)?]
net-libs/liblockfile
sys-libs/ncurses:0=
acl? ( virtual/acl )
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
games? ( acct-group/gamestat )
gpm? ( sys-libs/gpm )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
selinux? ( sys-libs/libselinux )
ssl? ( net-libs/gnutls:0= )
zlib? ( sys-libs/zlib )
gui? ( !aqua? (
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libxcb
x11-misc/xbitmaps
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
gif? ( media-libs/giflib:0= )
jpeg? ( virtual/jpeg:0= )
png? ( >=media-libs/libpng-1.4:0= )
svg? ( >=gnome-base/librsvg-2.0 )
tiff? ( media-libs/tiff:0 )
xpm? ( x11-libs/libXpm )
imagemagick? ( >=media-gfx/imagemagick-6.6.2:0= )
xft? (
media-libs/fontconfig
media-libs/freetype
x11-libs/libXft
x11-libs/libXrender
cairo? ( >=x11-libs/cairo-1.12.18 )
m17n-lib? (
>=dev-libs/libotf-0.9.4
>=dev-libs/m17n-lib-1.5.1
)
)
gtk? ( x11-libs/gtk+:3 )
!gtk? (
motif? (
>=x11-libs/motif-2.3:0
x11-libs/libXpm
x11-libs/libXmu
x11-libs/libXt
)
!motif? (
Xaw3d? (
x11-libs/libXaw3d
x11-libs/libXmu
x11-libs/libXt
)
!Xaw3d? ( athena? (
x11-libs/libXaw
x11-libs/libXmu
x11-libs/libXt
) )
)
)
) )"

DEPEND="${RDEPEND}
gui? ( !aqua? ( x11-base/xorg-proto ) )"

BDEPEND="virtual/pkgconfig
gzip-el? ( app-arch/gzip )"

IDEPEND="app-eselect/eselect-emacs"

RDEPEND+=" ${IDEPEND}"

EMACS_SUFFIX="emacs-${SLOT}"
SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
# operations later on
FULL_VERSION="${PV%%_*}"
S="${WORKDIR}/emacs-${FULL_VERSION}"
PATCHES=("${WORKDIR}/patch")

src_prepare() {
default

# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
|| die "unable to sed ctags.1"

AT_M4DIR=m4 eautoreconf
touch src/stamp-h.in || die
}

src_configure() {
strip-flags
filter-flags -pie #526948

if use ia64; then
replace-flags "-O[2-9]" -O1 #325373
else
replace-flags "-O[3-9]" -O2
fi

# Don't trigger a floating point exception for NaNs on alpha
use alpha && append-flags -mieee

local myconf

if use alsa; then
use sound || ewarn \
"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
myconf+=" --with-sound=alsa"
else
myconf+=" --with-sound=$(usex sound oss)"
fi

if ! use gui; then
einfo "Configuring to build without window system support"
myconf+=" --without-x --without-ns"
elif use aqua; then
einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
myconf+=" --with-ns --disable-ns-self-contained"
myconf+=" --without-x"
else
myconf+=" --with-x --without-ns"
myconf+=" $(use_with gconf)"
myconf+=" $(use_with gsettings)"
myconf+=" $(use_with toolkit-scroll-bars)"
myconf+=" $(use_with gif)"
myconf+=" $(use_with jpeg)"
myconf+=" $(use_with png)"
myconf+=" $(use_with svg rsvg)"
myconf+=" $(use_with tiff)"
myconf+=" $(use_with xpm)"
myconf+=" $(use_with imagemagick)"

if use xft; then
myconf+=" --with-xft"
myconf+=" $(use_with cairo)"
myconf+=" $(use_with m17n-lib libotf)"
myconf+=" $(use_with m17n-lib m17n-flt)"
else
myconf+=" --without-xft"
myconf+=" --without-cairo"
myconf+=" --without-libotf --without-m17n-flt"
use cairo && ewarn \
"USE flag \"cairo\" has no effect if \"xft\" is not set."
use m17n-lib && ewarn \
"USE flag \"m17n-lib\" has no effect if \"xft\" is not set."
fi

local f line
if use gtk; then
einfo "Configuring to build with GIMP Toolkit (GTK+)"
while read line; do ewarn "${line}"; done <<-EOF
Your version of GTK+ will have problems with closing open
displays. This is no problem if you just use one display, but
if you use more than one and close one of them Emacs may crash.
See <https://gitlab.gnome.org/GNOME/gtk/-/issues/221> and
<https://gitlab.gnome.org/GNOME/gtk/-/issues/2315>.
If you intend to use more than one display, then it is strongly
recommended that you compile Emacs with the Athena/Lucid or the
Motif toolkit instead.
EOF
myconf+=" --with-x-toolkit=gtk3"
myconf+=" --without-xwidgets"
for f in motif Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"gtk\" is set."
done
elif use motif; then
einfo "Configuring to build with Motif toolkit"
myconf+=" --with-x-toolkit=motif"
for f in Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"motif\" is set."
done
elif use athena || use Xaw3d; then
einfo "Configuring to build with Athena/Lucid toolkit"
myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
else
einfo "Configuring to build with no toolkit"
myconf+=" --with-x-toolkit=no"
fi
fi

econf \
--program-suffix="-${EMACS_SUFFIX}" \
--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
--localstatedir="${EPREFIX}"/var \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--with-gameuser=":gamestat" \
--without-compress-install \
--without-hesiod \
--with-file-notification=$(usev inotify || usev gfile || echo no) \
$(use_enable acl) \
$(use_with dbus) \
$(use_with dynamic-loading modules) \
$(use_with gpm) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with libxml2 xml2) \
$(use_with selinux) \
$(use_with ssl gnutls) \
$(use_with wide-int) \
$(use_with zlib) \
${myconf}
}

src_compile() {
# Disable sandbox when dumping. For the unbelievers, see bug #131505
emake RUN_TEMACS="SANDBOX_ON=0 LD_PRELOAD= env ./temacs"
}

src_install() {
emake DESTDIR="${D}" NO_BIN_LINK=t BLESSMAIL_TARGET= install

mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
|| die "moving emacs executable failed"
mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
|| die "moving emacs man page failed"

# move info dir to avoid collisions with the dir file generated by portage
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
|| die "moving info dir failed"
touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
docompress -x /usr/share/info/${EMACS_SUFFIX}/dir.orig

# movemail must be setgid mail
fowners root:mail /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
fperms 2751 /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail

# avoid collision between slots, see bug #169033 e.g.
rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el || die
rm -rf "${ED}"/usr/share/{appdata,applications,icons} || die
rm -rf "${ED}"/var || die

# remove unused <version>/site-lisp dir
rm -rf "${ED}"/usr/share/emacs/${FULL_VERSION}/site-lisp || die

# remove COPYING file (except for etc/COPYING used by describe-copying)
rm "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp/COPYING || die

if use gzip-el; then
# compress .el files when a corresponding .elc exists
find "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp -type f \
-name "*.elc" -print | sed 's/\.elc$/.el/' | xargs gzip -9n
assert "gzip .el failed"
fi

local cdir
if use source; then
cdir="/usr/share/emacs/${FULL_VERSION}/src"
insinto "${cdir}"
# This is not meant to install all the source -- just the
# C source you might find via find-function
doins src/*.{c,h,m}
elif has installsources ${FEATURES}; then
cdir="/usr/src/debug/${CATEGORY}/${PF}/${S#"${WORKDIR}/"}/src"
fi

sed -e "${cdir:+#}/^Y/d" -e "s/^[XY]//" >"${T}/${SITEFILE}" <<-EOF || die
X
;;; ${EMACS_SUFFIX} site-lisp configuration
X
(when (string-match "\\\\\`${FULL_VERSION//./\\\\.}\\\\>" emacs-version)
Y (setq find-function-C-source-directory
Y "${EPREFIX}${cdir}")
X (let ((path (getenv "INFOPATH"))
X (dir "${EPREFIX}/usr/share/info/${EMACS_SUFFIX}")
X (re "\\\\\`${EPREFIX}/usr/share\\\\>"))
X (and path
X ;; move Emacs Info dir before anything else in /usr/share
X (let* ((p (cons nil (split-string path ":" t))) (q p))
X (while (and (cdr q) (not (string-match re (cadr q))))
X (setq q (cdr q)))
X (setcdr q (cons dir (delete dir (cdr q))))
X (setq Info-directory-list (prune-directory-list (cdr p)))))))
EOF
elisp-site-file-install "${T}/${SITEFILE}" || die

dodoc README BUGS CONTRIBUTE

if use gui && use aqua; then
dodir /Applications/Gentoo
rm -rf "${ED}"/Applications/Gentoo/${EMACS_SUFFIX^}.app || die
mv nextstep/Emacs.app \
"${ED}"/Applications/Gentoo/${EMACS_SUFFIX^}.app || die
fi

local DOC_CONTENTS="You can set the version to be started by
/usr/bin/emacs through the Emacs eselect module, which also
redirects man and info pages. Therefore, several Emacs versions can
be installed at the same time. \"man emacs.eselect\" for details.
\\n\\nIf you upgrade from a previous major version of Emacs, then
it is strongly recommended that you use app-admin/emacs-updater
to rebuild all byte-compiled elisp files of the installed Emacs
packages."
if use gui; then
DOC_CONTENTS+="\\n\\nYou need to install some fonts for Emacs.
Installing media-fonts/font-adobe-{75,100}dpi on the X server's
machine would satisfy basic Emacs requirements under X11.
See also https://wiki.gentoo.org/wiki/Xft_support_for_GNU_Emacs
for how to enable anti-aliased fonts."
use aqua && DOC_CONTENTS+="\\n\\n${EMACS_SUFFIX^}.app is in
\"${EPREFIX}/Applications/Gentoo\". You may want to copy or
symlink it into /Applications by yourself."
fi
readme.gentoo_create_doc
}

pkg_preinst() {
# move Info dir file to correct name
if [[ -d ${ED}/usr/share/info ]]; then
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{.orig,} || die
fi
}

pkg_postinst() {
elisp-site-regen
readme.gentoo_print_elog

if use livecd; then
# force an update of the emacs symlink for the livecd/dvd,
# because some microemacs packages set it with USE=livecd
eselect emacs update
else
eselect emacs update ifunset
fi
}

pkg_postrm() {
elisp-site-regen
eselect emacs update ifunset
}

+ 376
- 0
app-editors/emacs/emacs-26.3-r6.ebuild View File

@@ -0,0 +1,376 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit autotools elisp-common flag-o-matic readme.gentoo-r1

DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
HOMEPAGE="https://www.gnu.org/software/emacs/"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz
https://dev.gentoo.org/~ulm/emacs/${P}-patches-1.tar.xz"

LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="26"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk gui gzip-el imagemagick +inotify jpeg kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"

RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
sys-libs/ncurses:0=
acl? ( virtual/acl )
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
games? ( acct-group/gamestat )
gpm? ( sys-libs/gpm )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
kerberos? ( virtual/krb5 )
lcms? ( media-libs/lcms:2 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
mailutils? ( net-mail/mailutils[clients] )
!mailutils? ( acct-group/mail net-libs/liblockfile )
selinux? ( sys-libs/libselinux )
ssl? ( net-libs/gnutls:0= )
systemd? ( sys-apps/systemd )
zlib? ( sys-libs/zlib )
gui? ( !aqua? (
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libxcb
x11-misc/xbitmaps
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
gif? ( media-libs/giflib:0= )